* Geopotential Heights and Wind Fields Visualizer (X-Y Plots)
* Created by: Bryan M. Williams on August 27, 2013

Function main (args)
ctl1=subwrd(args,1)
level=subwrd(args,2)
type=subwrd(args,3)
date=subwrd(args,4)
fhr=subwrd(args,5)
is_analysis=subwrd(args,6)
is_nr=subwrd(args,7)
lon1=subwrd(args,8)
lon2=subwrd(args,9)
lat1=subwrd(args,10)
lat2=subwrd(args,11)

*'reinit'
*'set display color white'
*'c'

*'set parea 1 10 1 7.2'
'set grads off'

'open 'ctl1

'set lat 'lat1' 'lat2
'set lon 'lon1' 'lon2

'set lev 'level

'set gxout contour'
'set cthick 6'
'set ccolor 1'
'set cint 2'
'd hgtprs/10'

'set gxout barb'
'set rgb 21 120 120 120'
'set cthick 4'
'set ccolor 21'

if(is_nr=1)
  'd skip(ugrd10m*1.94,15);skip(vgrd10m*1.94,15)'
else
  'd skip(ugrd10m*1.94,50);skip(vgrd10m*1.94,50)'
endif
if(is_nr = 1)
  'draw title 'level'mb GeoHeights (gpm) and Wind (kts)\Condtions at 'date
  return
endif

if(is_analysis = 1)
  'draw title 'level'mb GeoHeights (gpm) and Wind (kts)\'date' (Analysis)'
else
  'draw title 'level'mb GeoHeights (gpm) and Wind (kts)\'date' at FHR 'fhr
endif

*'printim X-Y_'type'_phi_wind_'level'mb.gif x1600 y1200'

